# Eryn Wells <eryn@erynwells.me>

DEPLOY_USER=eryn
DEPLOY_HOSTNAME=nutmeg.erynwells.me
DEPLOY_PATH=/srv/www/nutmeg.erynwells.me/html/sandbox
DEPLOY_LOCATION=$(DEPLOY_USER)@$(DEPLOY_HOSTNAME):$(DEPLOY_PATH)

HOSTNAME=$(shell hostname -s)

.PHONY: site deploy clean

site:
	@echo "Building site"
	hugo -D

deploy: site
	@echo "Deploying to $(DEPLOY_LOCATION)"
	rsync -avz --no-times --no-perms --delete public/ $(DEPLOY_LOCATION)
	git tag -f deploy-$(shell date +%Y-%m-%d)

clean:
	rm -rf public/
